BYTGPIO(4)

NAME
bytgpio - Intel Bay Trail SoC GPIO controller

SYNOPSIS
device gpio
device bytgpio

DESCRIPTION
The bytgpio is a driver for GPIO controller that can be found in Intel's Bay Trail SoC family.

Bay Trail SoC has three banks of GPIO pins exposed to userland as /dev/gpiocN, where N is 0, 1, and 2. Pins in each bank are pre-named to match names on boards schematics: GPIO_S0_SCnn, GPIO_S0_NCnn, and GPIO_S5_nn.

SEE ALSO
gpio(3), gpio(4), gpioctl(8)

HISTORY
The bytgpio manual page first appeared in FreeBSD 11.1.

AUTHORS
This driver and man page was written by Oleksandr Tymoshenko <gonzo@FreeBSD.org>.